
<h1 class="p-text-center">Passwort ändern</h1>
<div class="p-grid">
  <div class="p-col-12">
    <form
      (ngSubmit)="changePassword()"
      [formGroup]="passwordChange"
      ngNativeValidate
    >
      <div class="p-fluid p-formgrid p-grid">
        <div class="p-field p-col-12 ">
          <label for="password">Passwort</label>
          <input
            id="password"
            type="password"
            pInputText
            formControlName="Password"
            required
          />
        </div>
        <div class="p-field p-col-12 ">
          <label for="passwordC">Passwort Bestätigen</label>
          <input
            id="passwordC"
            type="password"
            pInputText
            formControlName="PasswordC"
            required
          />
        </div>
        <div class="p-field p-col-12">
          <p-button label="Ändern" type="submit"></p-button>
        </div>
      </div>
    </form>
  </div>
</div>

<p-dialog header="{{headerText}}" [(visible)]="display">
  <p>{{bodyText}}</p>
  <button pButton type="button" label="Schließen" (click)="closeAlert()"></button>
</p-dialog>
